%global packname  withr
%global rlibdir  %{_datadir}/R/library

# rmarkdown is not yet available.
%global with_doc 0

Name:             R-%{packname}
Version:          2.1.2
Release:          1%{?dist}
Summary:          Run Code 'With' Temporarily Modified Global State

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-stats, R-graphics, R-grDevices
# Suggests:  R-testthat, R-covr, R-lattice, R-DBI, R-RSQLite, R-methods, R-knitr, R-rmarkdown
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-stats
Requires:         R-graphics
Requires:         R-grDevices
Suggests:         R-DBI
Suggests:         R-methods
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-stats
BuildRequires:    R-graphics
BuildRequires:    R-grDevices
BuildRequires:    R-testthat
BuildRequires:    R-lattice
BuildRequires:    R-DBI
BuildRequires:    R-RSQLite
BuildRequires:    R-methods
%if %{with_doc}
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
%endif

%description
A set of functions to run code 'with' safely and temporarily modified
global state. Many of these functions were originally a part of the
'devtools' package, this provides a simple package with limited
dependencies to provide access to these functions.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%if %{with_doc}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname} --ignore-vignettes
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Wed Apr 25 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.2-1
- Update to latest version.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 02 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.1.1-1
- Update to latest release.

* Wed Nov 15 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.1.0-2
- Remove lattice from Requires.
- Minor fixes to spec internals.

* Fri Nov 10 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.1.0-1
- Update to latest release.

* Tue Nov 07 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.0.0-3
- Remove extra Requires.

* Tue Aug 29 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.0.0-2
- Clean up old stuff in spec.

* Thu Aug 24 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.0.0-1
- Update to latest release.

* Thu Aug 24 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.0.0-1
- New upstream release

* Fri Feb 17 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.0.2-1
- initial package for Fedora
